# Astro Babel Inline Scripts <img width="28" height="28" src="https://github.com/alex-rogov/astro-babel-inline-scripts/assets/45819885/20954488-2a02-4a91-827f-78bf5a3ca7df"></img><img width="32" height="32" src="https://github.com/alex-rogov/astro-babel-inline-scripts/assets/45819885/f09fb4ed-a236-4459-a662-96245bee44c0"></img>

Astro plugin to transpile html inline scripts and js files using Babel

## Getting started

```markdown
import { defineConfig } from 'astro/config';
import babelScripts from "astro-babel";
export default defineConfig({
  integrations: [ 
    babelScripts({
      presets: [
        ['minify', {
        builtIns: false,
        evaluate: false,
        mangle: false,
        }], 
        ["@babel/preset-env", { 
          "modules": false 
        }]
      ]
    })
  ]
});
```